const rl = @import("raylib");
const std = @import("std");
const EnS = @import("EntitySystem.zig");

pub fn main() anyerror!void {
    const screenWidth = 1280;
    const screenHeight = 720;

    rl.initWindow(screenWidth, screenHeight, "AHHHH");
    defer rl.closeWindow();

    //rl.setTargetFPS(60);
    

    while (!rl.windowShouldClose()) {
        try update();
        try draw();
    }
}
pub fn update() !void{
}
pub fn draw() !void{
    rl.beginDrawing();
    defer rl.endDrawing();

    rl.clearBackground(rl.Color.black);
    rl.drawFPS(10, 10);
}
